#pragma once

#include "common/IOutStream.h"
#include "commontypes.h"

namespace NS_Logging
{
	class SysLog: public NS_DM_Client::NS_Common::IOutStream
	{
	public:
		~SysLog();

		virtual void Open(const char* ident);
		virtual void Write(const char* buffer, int size);
		virtual void Close() {};
		virtual int FormatMessage(char* buffer, int size, int threadID, const char* loggerName, 
			const char* category, const char* functionName);
		virtual int FormatMessage(char* buffer, int size, int threadID, const char* loggerName, 
			const char* category);

	private:
		String m_ident; // name of component
	};
}
